NNG_STRFREE(3)

NAME
nng_strfree - free memory

SYNOPSIS

    #include <nng/nng.h>

    void nng_strfree(char *str);

DESCRIPTION

The nng_strfree() function deallocates the string str. This is equivalent to using nng_free() with the length of str plus one (for the NUL terminating byte) as the size.

    Important

    This should only be used with strings that were allocated by nng_strdup() or nng_alloc(). In all cases, the allocation size of the string must be the same as strlen(str) + 1.

    Important

    Consequently, if the a string created with nng_strdup() is modified to be shorter, then it is incorrect to call this function. (The nng_free() function can be used instead in that case, using the length of the original string plus one for the size.)

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_alloc(3), nng_free(3), nng_strdup(3), nng(7)